#!/usr/local/bin/perl

#  Copyright (C) 1999 Axel Beckert <abe@deuxchevaux.org>
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#  You can reach the author by snail-mail at the following address:
#  
#  Axel Beckert
#  Saarbrcker Strae 267a
#  D-66125 Saarbrcken, Germany

# lastmodit.pl outputs the last-modified-date of the actual or an on
# the command line as parameter given files in a very detailed version
# of the Swatch internet time format. lastmodit.pl must be invoked as
# SSI shell command.

# For the Swatch internet time format see
# http://www.swatch.com/internettime/fs_time.html

die "This script must be called as SSI shell command!\n" 
    if !defined($ENV{'DOCUMENT_NAME'});

$filename=(scalar @ARGV)?$ARGV[0]:$ENV{'DOCUMENT_NAME'};

($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$atime,$mtime,$ctime,
 $blksize,$blocks) = stat($filename);
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime($mtime);
($gsec,$gmin,$ghour,$gmday,$gmon,$gyear,$gwday,$gyday,$gisdst) = gmtime($mtime);
$ghour+=1; # Change this for your time zone
$ghour-=24 if $ghour>=24; 
$it=($gsec+(60*$gmin)+(3600*$ghour))/86.4;
$zone=$isdst?"CEST":"CET"; # Change this for your time zone

@wochentag = ("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag",
              "Freitag", "Samstag");
@monat = ("Januar", "Februar", "M&auml;rz", "April", "Mai", "Juni", "Juli",
          "August", "September", "Oktober", "November", "Dezember");
$year += 1900;

printf "$wochentag[$wday], den $mday.&nbsp;$monat[$mon]&nbsp;$year um <A HREF=\"http://www.swatch.com/internettime/fs_time.html\" CLASS=\"black\">\@%003d</A> (%02d:%02d:%02d&nbsp;Uhr&nbsp;$zone)\n",$it,$hour,$min,$sec;
